Name:           janus
Version:        1.1.0
Release:        4%{?dist}
Summary:        Janus is an open source WebRTC server designed and developed by Meetecho

License:        GPLv3 AND MIT AND BSD-3-Clause
URL:            https://janus.conf.meetecho.com/
Source0:        https://github.com/meetecho/%{name}-gateway/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service
Source2:        %{name}.sysusers

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  duktape-devel
BuildRequires:  gcc
BuildRequires:  glib-devel
BuildRequires:  glib2-devel
BuildRequires:  graphviz
BuildRequires:  intltool
BuildRequires:  jansson-devel
BuildRequires:  libavcodec-free-devel
BuildRequires:  libavformat-free-devel
BuildRequires:  libavutil-free-devel
BuildRequires:  libconfig-devel
BuildRequires:  libcurl-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  libnice-devel
BuildRequires:  libogg
BuildRequires:  libpcap-devel
BuildRequires:  librabbitmq-devel
BuildRequires:  libsrtp-devel
BuildRequires:  libtool
BuildRequires:  libwebsockets-devel
BuildRequires:  lua-devel
BuildRequires:  nanomsg-devel
BuildRequires:  openssl-devel
BuildRequires:  opus-devel
BuildRequires:  paho-c-devel
BuildRequires:  sofia-sip-devel
BuildRequires:  systemd-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  usrsctp-devel
BuildRequires:  web-assets-devel
BuildRequires:  zlib-devel

%description
Janus is an open source WebRTC server designed and developed by Meetecho.


%package demos
Summary:        The HTML demos from the %{name} website
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       web-assets-filesystem

%description demos
The HTML demos from the %{name} website.


%package devel
Summary:        The %{name} header files and test scripts

%description devel
Development package containing header files and what is required for %{name}
plugin development, as well as some test scripts.


%package doc
Summary:        Documentation files for %{name}
Requires:       web-assets-filesystem

%description doc
Documentation files for %{name}.


%package eventhandlers-gelf
Summary:        GELF event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-gelf
GELF event handler for %{name}


%package eventhandlers-mqtt
Summary:        MQTT event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-mqtt
MQTT event handler for %{name}


%package eventhandlers-nanomsg
Summary:        The nanomsg event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-nanomsg
nanomsg event handler for %{name}


%package eventhandlers-rabbitmq
Summary:        RabbitMQ event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-rabbitmq
RabbitMQ event handler for %{name}


%package eventhandlers-sample
Summary:        Sample event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-sample
Sample event handler for %{name}


%package eventhandlers-ws
Summary:        WebSocket event handler for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description eventhandlers-ws
WebSocket event handler for %{name}


%package loggers-json
Summary:        This is a trivial logger plugin for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description loggers-json
This is a trivial logger plugin for %{name}


%package plugins-audiobridge
Summary:        This is a plugin implementing an audio conference bridge for %{name}, specifically mixing Opus streams
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-audiobridge
This is a plugin implementing an audio conference bridge for %{name}, specifically mixing Opus streams


%package plugins-duktape
Summary:        This is a plugin that implements a simple bridge to JavaScript via Duktape for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-duktape
This is a plugin that implements a simple bridge to JavaScript via Duktape for %{name}


%package plugins-echotest
Summary:        This is a trivial EchoTest plugin for %{name}, just used to showcase the plugin interface
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-echotest
This is a trivial EchoTest plugin for %{name}, just used to showcase the plugin interface


%package plugins-lua
Summary:        This is a plugin that implements a simple bridge to Lua scripts for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-lua
This is a plugin that implements a simple bridge to Lua scripts for %{name}


%package plugins-nosip
Summary:        This is quite a basic plugin, as it only takes care of acting as an RTP bridge for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-nosip
This is quite a basic plugin, as it only takes care of acting as an RTP bridge for %{name}


%package plugins-recordplay
Summary:        Record and playback of WebRTC messages for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-recordplay
This is a simple application that implements two different features for %{name}: it allows you to record a message you send with
WebRTC and subsequently replay this recording (or other previously recorded) through WebRTC as well


%package plugins-sip
Summary:        Allows WebRTC peers to register at a SIP server and call SIP user agents through %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-sip
This is a simple SIP plugin for Janus, allowing WebRTC peers to register at a SIP server (e.g., Asterisk) and call SIP user agents
through %{name}


%package plugins-streaming
Summary:        This is a streaming plugin for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-streaming
This is a streaming plugin for %{name}, allowing WebRTC peers to watch/listen to pre-recorded files or media generated by another tool


%package plugins-textroom
Summary:        This is a plugin implementing a DataChannel only text room for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-textroom
This is a plugin implementing a DataChannel only text room for %{name}


%package plugins-videocall
Summary:        This is a simple video call plugin, allowing two WebRTC peers to call each other through %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-videocall
This is a simple video call plugin for Janus, allowing two WebRTC peers to call each other through %{name}


%package plugins-videoroom
Summary:        This is a plugin implementing a videoconferencing SFU for %{name}, that is an audio/video router
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-videoroom
This is a plugin implementing a videoconferencing SFU (Selective Forwarding Unit) for %{name}, that is an audio/video router


%package plugins-voicemail
Summary:        This is a plugin implementing a very simple VoiceMail service for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugins-voicemail
This is a plugin implementing a very simple VoiceMail service for %{name}


%package tools
Summary:        The %{name}'s helper tools
Requires:       gstreamer1.0-plugins-good

%description tools
%{name} helper tools.


%package transports-http
Summary:        This is an implementation of a RESTs transport for the %{name} API, using the libmicrohttpd library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-http
This is an implementation of a RESTs transport for the %{name} API, using the libmicrohttpd library


%package transports-mqtt
Summary:        This is an implementation of a MQTT transport for the %{name} API, using the Eclipse Paho C Client library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-mqtt
This is an implementation of a MQTT transport for the %{name} API, using the Eclipse Paho C Client library


%package transports-nanomsg
Summary:        This is an implementation of a Nanomsg transport for the %{name} API
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-nanomsg
This is an implementation of a Nanomsg transport for the %{name} API


%package transports-pfunix
Summary:        This is an implementation of a Unix Sockets transport for the %{name} API
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-pfunix
This is an implementation of a Unix Sockets transport for the %{name} API


%package transports-rabbitmq
Summary:        This is an implementation of a RabbitMQ transport for the %{name} API
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-rabbitmq
This is an implementation of a RabbitMQ transport for the %{name} API


%package transports-websockets
Summary:        This is an implementation of a WebSockets transport for the %{name} API
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description transports-websockets
This is an implementation of a WebSockets transport for the %{name} API


%prep
%autosetup -p 1 -n %{name}-gateway-%{version}
cp %{SOURCE1} .


%build
sh autogen.sh
%configure --enable-plugin-duktape --enable-plugin-lua --enable-post-processing --enable-docs --docdir=%{_docdir}/%{name} --enable-systemd-sockets --enable-json-logger
%make_build


%install
%make_install

# generate configuration files
make DESTDIR=%{buildroot} configs

# put sample files in doc directory
install -d -m 755 %{buildroot}%{_docdir}/%{name}/
mv %{buildroot}%{_sysconfdir}/%{name}/*.sample %{buildroot}%{_docdir}/%{name}/

# put html files in docs dir
mv %{buildroot}%{_docdir}/%{name}/%{name}-gateway-%{version}/html %{buildroot}%{_docdir}/%{name}/
rmdir %{buildroot}%{_docdir}/%{name}/%{name}-gateway-%{version}/

# systemd
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysusersdir}/%{name}.conf

# cleanup
rm -fr %{buildroot}%{_docdir}/%{name}-gateway

%pre
%sysusers_create_compat %{SOURCE2}


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%files
# licenses and docs
%license COPYING
%doc README.md
%doc SECURITY.md
%doc CHANGELOG.md
%doc %{_docdir}/%{name}/%{name}.jcfg.sample

# binaries
%{_bindir}/janus
%{_bindir}/janus-cfgconv

# not required in the main package acording to upstream:
# https://groups.google.com/g/meetecho-janus/c/ESCW9mQJpYc/m/ylBv2-_hAgAJ
%ghost %{_datadir}/%{name}/javascript/
%ghost %{_datadir}/%{name}/javascript/janus.js

# manuals
%{_mandir}/man1/janus-cfgconv.1.gz
%{_mandir}/man1/janus.1.gz

# configuration
%{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/janus.jcfg

# systemd service unit
%{_unitdir}/%{name}.service

# systemd sysusers
%{_sysusersdir}/%{name}.conf

# lib filesystem
%{_libdir}/%{name}/
%{_libdir}/%{name}/events/
%{_libdir}/%{name}/loggers/
%{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/transports/

# data filesystem
%{_datadir}/%{name}/


## event handlers
%files eventhandlers-gelf
%doc %{_docdir}/%{name}/janus.eventhandler.gelfevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_gelfevh.so
%{_libdir}/%{name}/events/libjanus_gelfevh.so.1
%{_libdir}/%{name}/events/libjanus_gelfevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.gelfevh.jcfg


%files eventhandlers-mqtt
%doc %{_docdir}/%{name}/janus.eventhandler.mqttevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_mqttevh.so
%{_libdir}/%{name}/events/libjanus_mqttevh.so.1
%{_libdir}/%{name}/events/libjanus_mqttevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.mqttevh.jcfg


%files eventhandlers-nanomsg
%doc %{_docdir}/%{name}/janus.eventhandler.nanomsgevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_nanomsgevh.so
%{_libdir}/%{name}/events/libjanus_nanomsgevh.so.1
%{_libdir}/%{name}/events/libjanus_nanomsgevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.nanomsgevh.jcfg


%files eventhandlers-rabbitmq
%doc %{_docdir}/%{name}/janus.eventhandler.rabbitmqevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_rabbitmqevh.so
%{_libdir}/%{name}/events/libjanus_rabbitmqevh.so.1
%{_libdir}/%{name}/events/libjanus_rabbitmqevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.rabbitmqevh.jcfg


%files eventhandlers-sample
%doc %{_docdir}/%{name}/janus.eventhandler.sampleevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_sampleevh.so
%{_libdir}/%{name}/events/libjanus_sampleevh.so.1
%{_libdir}/%{name}/events/libjanus_sampleevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.sampleevh.jcfg


%files eventhandlers-ws
%doc %{_docdir}/%{name}/janus.eventhandler.wsevh.jcfg.sample
%{_libdir}/%{name}/events/libjanus_wsevh.so
%{_libdir}/%{name}/events/libjanus_wsevh.so.1
%{_libdir}/%{name}/events/libjanus_wsevh.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.eventhandler.wsevh.jcfg


# loggers
%files loggers-json
%doc %{_docdir}/%{name}/janus.logger.jsonlog.jcfg.sample
%{_libdir}/%{name}/loggers/libjanus_jsonlog.so
%{_libdir}/%{name}/loggers/libjanus_jsonlog.so.1
%{_libdir}/%{name}/loggers/libjanus_jsonlog.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.logger.jsonlog.jcfg


## plugins
%files plugins-audiobridge
%doc %{_docdir}/%{name}/janus.plugin.audiobridge.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_audiobridge.so
%{_libdir}/%{name}/plugins/libjanus_audiobridge.so.1
%{_libdir}/%{name}/plugins/libjanus_audiobridge.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.audiobridge.jcfg


%files plugins-duktape
%doc %{_docdir}/%{name}/janus.plugin.duktape.jcfg.sample
%{_datadir}/%{name}/duktape/
%{_datadir}/%{name}/duktape/echotest.js
%{_datadir}/%{name}/duktape/janus-sdp.js
%{_libdir}/%{name}/plugins/libjanus_duktape.so
%{_libdir}/%{name}/plugins/libjanus_duktape.so.1
%{_libdir}/%{name}/plugins/libjanus_duktape.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.duktape.jcfg


%files plugins-echotest
%doc %{_docdir}/%{name}/janus.plugin.echotest.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_echotest.so
%{_libdir}/%{name}/plugins/libjanus_echotest.so.1
%{_libdir}/%{name}/plugins/libjanus_echotest.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.echotest.jcfg


%files plugins-lua
%doc %{_docdir}/%{name}/janus.plugin.lua.jcfg.sample
%{_datadir}/%{name}/lua/
%{_datadir}/%{name}/lua/echotest.lua
%{_datadir}/%{name}/lua/janus-logger.lua
%{_datadir}/%{name}/lua/janus-sdp.lua
%{_datadir}/%{name}/lua/videoroom.lua
%{_libdir}/%{name}/plugins/libjanus_lua.so
%{_libdir}/%{name}/plugins/libjanus_lua.so.1
%{_libdir}/%{name}/plugins/libjanus_lua.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.lua.jcfg


%files plugins-nosip
%doc %{_docdir}/%{name}/janus.plugin.nosip.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_nosip.so
%{_libdir}/%{name}/plugins/libjanus_nosip.so.1
%{_libdir}/%{name}/plugins/libjanus_nosip.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.nosip.jcfg


%files plugins-recordplay
%doc %{_docdir}/%{name}/janus.plugin.recordplay.jcfg.sample
%{_datadir}/%{name}/recordings/
%{_datadir}/%{name}/recordings/1234.nfo
%{_datadir}/%{name}/recordings/rec-sample-audio.mjr
%{_datadir}/%{name}/recordings/rec-sample-video.mjr
%{_libdir}/%{name}/plugins/libjanus_recordplay.so
%{_libdir}/%{name}/plugins/libjanus_recordplay.so.1
%{_libdir}/%{name}/plugins/libjanus_recordplay.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.recordplay.jcfg


%files plugins-sip
%doc %{_docdir}/%{name}/janus.plugin.sip.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_sip.so
%{_libdir}/%{name}/plugins/libjanus_sip.so.1
%{_libdir}/%{name}/plugins/libjanus_sip.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.sip.jcfg


%files plugins-streaming
%doc %{_docdir}/%{name}/janus.plugin.streaming.jcfg.sample
%{_datadir}/%{name}/streams/
%{_datadir}/%{name}/streams/music.mulaw
%{_datadir}/%{name}/streams/radio.alaw
%{_datadir}/%{name}/streams/test_gstreamer.sh
%{_datadir}/%{name}/streams/test_gstreamer1.sh
%{_datadir}/%{name}/streams/test_gstreamer1_multistream.sh
%{_datadir}/%{name}/streams/test_gstreamer_multistream.sh
%{_libdir}/%{name}/plugins/libjanus_streaming.so
%{_libdir}/%{name}/plugins/libjanus_streaming.so.1
%{_libdir}/%{name}/plugins/libjanus_streaming.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.streaming.jcfg


%files plugins-textroom
%doc %{_docdir}/%{name}/janus.plugin.textroom.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_textroom.so
%{_libdir}/%{name}/plugins/libjanus_textroom.so.1
%{_libdir}/%{name}/plugins/libjanus_textroom.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.textroom.jcfg


%files plugins-videocall
%doc %{_docdir}/%{name}/janus.plugin.videocall.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_videocall.so
%{_libdir}/%{name}/plugins/libjanus_videocall.so.1
%{_libdir}/%{name}/plugins/libjanus_videocall.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.videocall.jcfg


%files plugins-videoroom
%doc %{_docdir}/%{name}/janus.plugin.videoroom.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_videoroom.so
%{_libdir}/%{name}/plugins/libjanus_videoroom.so.1
%{_libdir}/%{name}/plugins/libjanus_videoroom.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.videoroom.jcfg


%files plugins-voicemail
%doc %{_docdir}/%{name}/janus.plugin.voicemail.jcfg.sample
%{_libdir}/%{name}/plugins/libjanus_voicemail.so
%{_libdir}/%{name}/plugins/libjanus_voicemail.so.1
%{_libdir}/%{name}/plugins/libjanus_voicemail.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.plugin.voicemail.jcfg


# transports
%files transports-http
%doc %{_docdir}/%{name}/janus.transport.http.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_http.so
%{_libdir}/%{name}/transports/libjanus_http.so.1
%{_libdir}/%{name}/transports/libjanus_http.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.http.jcfg


%files transports-mqtt
%doc %{_docdir}/%{name}/janus.transport.mqtt.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_mqtt.so
%{_libdir}/%{name}/transports/libjanus_mqtt.so.1
%{_libdir}/%{name}/transports/libjanus_mqtt.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.mqtt.jcfg


%files transports-nanomsg
%doc %{_docdir}/%{name}/janus.transport.nanomsg.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_nanomsg.so
%{_libdir}/%{name}/transports/libjanus_nanomsg.so.1
%{_libdir}/%{name}/transports/libjanus_nanomsg.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.nanomsg.jcfg


%files transports-pfunix
%doc %{_docdir}/%{name}/janus.transport.pfunix.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_pfunix.so
%{_libdir}/%{name}/transports/libjanus_pfunix.so.1
%{_libdir}/%{name}/transports/libjanus_pfunix.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.pfunix.jcfg


%files transports-rabbitmq
%doc %{_docdir}/%{name}/janus.transport.rabbitmq.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_rabbitmq.so
%{_libdir}/%{name}/transports/libjanus_rabbitmq.so.1
%{_libdir}/%{name}/transports/libjanus_rabbitmq.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.rabbitmq.jcfg


%files transports-websockets
%doc %{_docdir}/%{name}/janus.transport.websockets.jcfg.sample
%{_libdir}/%{name}/transports/libjanus_websockets.so
%{_libdir}/%{name}/transports/libjanus_websockets.so.1
%{_libdir}/%{name}/transports/libjanus_websockets.so.1.0.1
%config(noreplace) %{_sysconfdir}/%{name}/janus.transport.websockets.jcfg


%files demos
%{_datadir}/%{name}/demos/admin.html
%{_datadir}/%{name}/demos/admin.js
%{_datadir}/%{name}/demos/audiobridgetest.html
%{_datadir}/%{name}/demos/audiobridgetest.js
%{_datadir}/%{name}/demos/background/retro.webp
%{_datadir}/%{name}/demos/canvas.html
%{_datadir}/%{name}/demos/canvas.js
%{_datadir}/%{name}/demos/citeus.html
%{_datadir}/%{name}/demos/css/demo.css
%{_datadir}/%{name}/demos/demos.html
%{_datadir}/%{name}/demos/devicetest.html
%{_datadir}/%{name}/demos/devicetest.js
%{_datadir}/%{name}/demos/docs/index.html
%{_datadir}/%{name}/demos/e2etest.html
%{_datadir}/%{name}/demos/e2etest.js
%{_datadir}/%{name}/demos/echotest.html
%{_datadir}/%{name}/demos/echotest.js
%{_datadir}/%{name}/demos/favicon.ico
%{_datadir}/%{name}/demos/footer.html
%{_datadir}/%{name}/demos/index.html
%{_datadir}/%{name}/demos/janus-logo-small.png
%{_datadir}/%{name}/demos/janus-logo.png
%{_datadir}/%{name}/demos/janus.js
%{_datadir}/%{name}/demos/meetecho-logo.png
%{_datadir}/%{name}/demos/multiopus.html
%{_datadir}/%{name}/demos/multiopus.js
%{_datadir}/%{name}/demos/mvideoroomtest.html
%{_datadir}/%{name}/demos/mvideoroomtest.js
%{_datadir}/%{name}/demos/navbar.html
%{_datadir}/%{name}/demos/nosiptest.html
%{_datadir}/%{name}/demos/nosiptest.js
%{_datadir}/%{name}/demos/recordplaytest.html
%{_datadir}/%{name}/demos/recordplaytest.js
%{_datadir}/%{name}/demos/screensharingtest.html
%{_datadir}/%{name}/demos/screensharingtest.js
%{_datadir}/%{name}/demos/settings.js
%{_datadir}/%{name}/demos/siptest.html
%{_datadir}/%{name}/demos/siptest.js
%{_datadir}/%{name}/demos/streamingtest.html
%{_datadir}/%{name}/demos/streamingtest.js
%{_datadir}/%{name}/demos/support.html
%{_datadir}/%{name}/demos/surround/ChID-BLITS-EBU.mp4
%{_datadir}/%{name}/demos/surround/ChID-BLITS-EBU.txt
%{_datadir}/%{name}/demos/textroomtest.html
%{_datadir}/%{name}/demos/textroomtest.js
%{_datadir}/%{name}/demos/up_arrow.png
%{_datadir}/%{name}/demos/videocalltest.html
%{_datadir}/%{name}/demos/videocalltest.js
%{_datadir}/%{name}/demos/videoroomtest.html
%{_datadir}/%{name}/demos/videoroomtest.js
%{_datadir}/%{name}/demos/virtualbg.html
%{_datadir}/%{name}/demos/virtualbg.js
%{_datadir}/%{name}/demos/voicemailtest.html
%{_datadir}/%{name}/demos/voicemailtest.js
%{_datadir}/%{name}/demos/vp9svctest.html
%{_datadir}/%{name}/demos/vp9svctest.js
%{_datadir}/%{name}/demos/webaudio.html
%{_datadir}/%{name}/demos/webaudio.js


%files devel
# headers for plugin development
%{_includedir}/%{name}/
%{_includedir}/%{name}/apierror.h
%{_includedir}/%{name}/config.h
%{_includedir}/%{name}/debug.h
%{_includedir}/%{name}/events/
%{_includedir}/%{name}/events/eventhandler.h
%{_includedir}/%{name}/ip-utils.h
%{_includedir}/%{name}/log.h
%{_includedir}/%{name}/loggers/
%{_includedir}/%{name}/loggers/logger.h
%{_includedir}/%{name}/mutex.h
%{_includedir}/%{name}/plugins/
%{_includedir}/%{name}/plugins/plugin.h
%{_includedir}/%{name}/record.h
%{_includedir}/%{name}/refcount.h
%{_includedir}/%{name}/rtcp.h
%{_includedir}/%{name}/rtp.h
%{_includedir}/%{name}/rtpsrtp.h
%{_includedir}/%{name}/sdp-utils.h
%{_includedir}/%{name}/text2pcap.h
%{_includedir}/%{name}/transports/
%{_includedir}/%{name}/transports/transport.h
%{_includedir}/%{name}/utils.h


%files doc
%license %{_docdir}/%{name}/html/COPYING.html
%doc %{_docdir}/%{name}/CHANGELOG.md
%doc %{_docdir}/%{name}/README.md
%doc %{_docdir}/%{name}/SECURITY.md
%{_docdir}/%{name}/html/*


%files tools
# binaries
%{_bindir}/janus-pp-rec
%{_bindir}/mjr2pcap
%{_bindir}/pcap2mjr

# manuals
%{_mandir}/man1/mjr2pcap.1.gz
%{_mandir}/man1/pcap2mjr.1.gz
%{_mandir}/man1/janus-pp-rec.1.gz


%changelog
* Thu Nov 17 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.1.0-4
- Made dependency of janus in plugins more accurate.

* Mon Oct 31 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.1.0-3
- Fixed directory ownership.

* Tue Oct 18 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.1.0-2
- Re-adding demos and docs in HTML format.

* Mon Oct 03 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-7
- Adding noarch to doc subpackage.
- Removed doc and demos sub-package for now.

* Thu Sep 22 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-6
- Renamed package to janus to honor upstream's request.
- Added libpcap-devel so it builds pcap2mjr.
- Relocated some files due to upstream's advice.
- Properly adding configuration files.
- Added system user.

* Wed Sep 21 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-5
- Dividing package into sub-packages.
- Enabled the json-logger.

* Wed Sep 14 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-4
- Using name and version macros in main source declaration.
- Moved sample files into doc directory.

* Tue Aug 30 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-3
- Moved some headers to the -devel subpackage.
- Added BSD-3-Clause and MIT licenses.
- Added missing license file to the doc subpackage.

* Fri Aug 26 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-2
- Added missing BuildRequires for the systemd unit.

* Thu Aug 18 2022 Renich Bon Ćirić <renich@woralelandia.com> - 1.0.4-1
- first draft
